Bug 122727 - [maintainer-update] sysutils/bsdadminscripts
Summary: [maintainer-update] sysutils/bsdadminscripts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-13 16:20 UTC by kamikaze
Modified: 2008-05-13 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (5.11 KB, patch)
2008-04-13 16:20 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2008-04-13 16:20:01 UTC
Latest release.

The pkg-message file can be removed.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-18 05:40:42 UTC
State Changed
From-To: open->feedback

Its PLIST handling doesn't work properly. 
Please consider static PLIST_FILES.
Comment 2 Edwin Groothuis freebsd_committer 2008-04-18 05:41:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

I'll track this.
Comment 3 kamikaze 2008-04-18 21:36:30 UTC
Ye ask and I deliver.

The latest version with a static plist file.



diff -Pur ports/sysutils/bsdadminscripts.orig/Makefile 
ports/sysutils/bsdadminscripts/Makefile
--- ports/sysutils/bsdadminscripts.orig/Makefile	2008-03-31 20:43:12.000000000 
+0200
+++ ports/sysutils/bsdadminscripts/Makefile	2008-04-18 22:04:40.000000000 +0200
@@ -6,120 +6,41 @@
  #

  PORTNAME=	bsdadminscripts
-PORTVERSION=	4.4
+PORTVERSION=	4.4.2
  CATEGORIES=	sysutils ports-mgmt
  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
  MASTER_SITE_SUBDIR=	${PORTNAME}

  MAINTAINER=	kamikaze@bsdforen.de
-COMMENT=	A small collection of administration scripts
-
-OPTIONS+=	BUILDFLAGS "Build configuration system" On
-OPTIONS+=	PKG_LIBCHK "Check for links against missing libraries" On
-OPTIONS+=	PKG_VALIDATE "Check for broken and missing files" On
-OPTIONS+=	PORTCONFIG "Run common make targets on several ports" On
-OPTIONS+=	RCSTART "Use rc scripts based on PROVIDE" On
+COMMENT=	A collection of administration scripts

  WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
  NO_BUILD=	yes
  MANCOMPRESSED=	no

-MAN1=		bsdadminscripts.1
+.if defined(NOPORTDOCS)
+NOPORTDOCS=	-nodoc
+.else
+MAN1=		bsdadminscripts.1 \
+		rcstart.1 \
+		portconfig.1 \
+		buildflags.mk.1 buildflags.conf.1 buildflags.awk.1 \
+		pkg_validate.1 \
+		pkg_libchk.1

-RC_SCRIPTS=	start stop restart status onestart onestop onerestart onestatus
-PORT_SCRIPTS=	config build clean fetch package \
+RC_SCRIPTS=	stop restart status onestart onestop onerestart onestatus
+PORT_SCRIPTS=	build clean fetch package \
  		config-recursive fetch-recursive
-BUILDFLAGS_SCRIPTS=	buildflags.awk
-BUILDFLAGS_FILES=	buildflags.mk
-BUILDFLAGS_ETC=	buildflags.conf.sample
-
-.include <bsd.port.pre.mk>
-
-.if !defined(WITHOUT_RCSTART)
-PLIST_FILES+=	${RC_SCRIPTS:S,^,sbin/rc,}
-MAN1+=		rcstart.1
-MLINKS+=	${RC_SCRIPTS:Nstart:S,^,rc,:S,$,.1,:S,^,rcstart.1 ,}
-.endif
-
-.if !defined(WITHOUT_PORTCONFIG)
-PLIST_FILES+=	${PORT_SCRIPTS:S,^,sbin/port,}
-MAN1+=		portconfig.1
-MLINKS+=	${PORT_SCRIPTS:Nconfig:S,^,port,:S,$,.1,:S,^,portconfig.1 ,}
-.endif
-
-.if !defined(WITHOUT_BUILDFLAGS)
-PLIST_FILES+=	${BUILDFLAGS_FILES:S,^,${DATADIR_REL}/,}
-PLIST_FILES+=	${BUILDFLAGS_SCRIPTS:S,^,${DATADIR_REL}/,}
-ETC_FILES+=	${BUILDFLAGS_ETC}
-PLIST_DIRS+=	${DATADIR_REL}
-MAN1+=		buildflags.mk.1 buildflags.conf.1 buildflags.awk.1
-.endif
-
-.if !defined(WITHOUT_PKG_VALIDATE)
-PLIST_FILES+=	sbin/pkg_validate
-MAN1+=		pkg_validate.1
-.endif
-
-.if !defined(WITHOUT_PKG_VALIDATE)
-PLIST_FILES+=	sbin/pkg_libchk
-MAN1+=		pkg_libchk.1
+MLINKS+=	${RC_SCRIPTS:S,^,rc,:S,$,.1,:S,^,rcstart.1 ,} \
+		${PORT_SCRIPTS:S,^,port,:S,$,.1,:S,^,portconfig.1 ,}
  .endif

-PLIST_FILES+=	${ETC_FILES:S,^,etc/,}
+plist: patch
+	@cd ${WRKSRC}; ./list.sh -nodoc > ${PLIST}
+	@${ECHO} "@dirrm ${DATADIR_REL}" >> ${PLIST}

  do-install:
-.if !defined(WITHOUT_RCSTART)
-	@${ECHO_MSG} "===>  Installing rcstart."
-	@${INSTALL_SCRIPT} ${WRKSRC}/rcstart ${PREFIX}/sbin/
-.for _link in ${RC_SCRIPTS:Nstart}
-	@${LN} ${PREFIX}/sbin/rcstart ${PREFIX}/sbin/rc${_link}
-.endfor
-.endif
-.if !defined(WITHOUT_PORTCONFIG)
-	@${ECHO_MSG} "===>  Installing portconfig."
-	@${INSTALL_SCRIPT} ${WRKSRC}/portconfig ${PREFIX}/sbin/
-.for _link in ${PORT_SCRIPTS:Nconfig}
-	@${LN} ${PREFIX}/sbin/portconfig ${PREFIX}/sbin/port${_link}
-.endfor
-.endif
-.if !defined(WITHOUT_BUILDFLAGS)
-	@${ECHO_MSG} "===>  Installing buildflags."
-	@${MKDIR} ${DATADIR}
-.for _file in ${BUILDFLAGS_FILES}
-	@${INSTALL_DATA} ${WRKSRC}/${_file} ${DATADIR}
-.endfor
-.for _file in ${BUILDFLAGS_SCRIPTS}
-	@${INSTALL_SCRIPT} ${WRKSRC}/${_file} ${DATADIR}
-.endfor
-.endif
-.if !defined(WITHOUT_PKG_LIBCHK)
-	@${ECHO_MSG} "===>  Installing pkg_libchk."
-	@${INSTALL_SCRIPT} ${WRKSRC}/pkg_libchk ${PREFIX}/sbin/
-.endif
-.if !defined(WITHOUT_PKG_VALIDATE)
-	@${ECHO_MSG} "===>  Installing pkg_validate."
-	@${INSTALL_SCRIPT} ${WRKSRC}/pkg_validate ${PREFIX}/sbin/
-.endif
-.if defined(ETC_FILES)
-	@${ECHO_MSG} "===>  Installing configuration samples."
-.for _conf in ${ETC_FILES}
-	@${INSTALL_DATA} ${WRKSRC}/${_conf} ${PREFIX}/etc
-.endfor
-.endif
-.if defined(NOPORTDOCS)
-.undef MAN1
-.undef MLINKS
-.else
-	@${ECHO_MSG} "===>  Installing manual pages."
-.for _manpage in ${MAN1}
-	@${INSTALL_MAN} ${WRKSRC}/${_manpage} ${MANPREFIX}/man/man1/
-.endfor
-.endif
-
-message:
-	@${CAT} ${PKGMESSAGE}
-
-post-install: message
-	@${DO_NADA}
+	@cd ${WRKSRC}; ./install.sh \
+		-prefix=${PREFIX} -ports=${PORTSDIR} ${NOPORTDOCS}

-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -Pur ports/sysutils/bsdadminscripts.orig/distinfo 
ports/sysutils/bsdadminscripts/distinfo
--- ports/sysutils/bsdadminscripts.orig/distinfo	2008-03-31 20:43:12.000000000 
+0200
+++ ports/sysutils/bsdadminscripts/distinfo	2008-04-13 15:58:28.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (bsdadminscripts-4.4.tar.gz) = ed213ef7b39f5792e4e31a8acd38b8f0
-SHA256 (bsdadminscripts-4.4.tar.gz) = 
0d523d5bee4b9dbbb4f7d8d5bfd5396b5bf9dee99372d3dbcdc789068d03ec67
-SIZE (bsdadminscripts-4.4.tar.gz) = 23296
+MD5 (bsdadminscripts-4.4.2.tar.gz) = 8905f98f5c54fd557995a8f7ff7665d6
+SHA256 (bsdadminscripts-4.4.2.tar.gz) = 
b75dbfc960b2aae92d403c8078f3c942231e3994a6547fb12fc432a11d4c9a85
+SIZE (bsdadminscripts-4.4.2.tar.gz) = 24319
Only in ports/sysutils/bsdadminscripts.orig: pkg-message
diff -Pur ports/sysutils/bsdadminscripts.orig/pkg-plist 
ports/sysutils/bsdadminscripts/pkg-plist
--- ports/sysutils/bsdadminscripts.orig/pkg-plist	1970-01-01 
01:00:00.000000000 +0100
+++ ports/sysutils/bsdadminscripts/pkg-plist	2008-04-18 22:04:43.000000000 +0200
@@ -0,0 +1,21 @@
+share/bsdadminscripts/buildflags.awk
+etc/buildflags.conf.sample
+share/bsdadminscripts/buildflags.mk
+sbin/pkg_libchk
+sbin/pkg_validate
+sbin/portconfig
+sbin/rcstart
+sbin/rcstatus
+sbin/rcstop
+sbin/rcrestart
+sbin/rconestart
+sbin/rconestatus
+sbin/rconestop
+sbin/rconerestart
+sbin/portbuild
+sbin/portclean
+sbin/portfetch
+sbin/portpackage
+sbin/portconfig-recursive
+sbin/portfetch-recursive
+@dirrm share/bsdadminscripts
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-04-29 01:59:01 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 5 kamikaze 2008-05-08 16:47:17 UTC
It appears I am too stupid to configure my mailer. I hope this one
is not mangled.

diff -Pur ports/sysutils/bsdadminscripts.orig/Makefile ports/sysutils/bsdadminscripts/Makefile
--- ports/sysutils/bsdadminscripts.orig/Makefile	2008-03-31 20:43:12.000000000 +0200
+++ ports/sysutils/bsdadminscripts/Makefile	2008-04-18 22:04:40.000000000 +0200
@@ -6,120 +6,41 @@
 #
 
 PORTNAME=	bsdadminscripts
-PORTVERSION=	4.4
+PORTVERSION=	4.4.2
 CATEGORIES=	sysutils ports-mgmt
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	kamikaze@bsdforen.de
-COMMENT=	A small collection of administration scripts
-
-OPTIONS+=	BUILDFLAGS "Build configuration system" On
-OPTIONS+=	PKG_LIBCHK "Check for links against missing libraries" On
-OPTIONS+=	PKG_VALIDATE "Check for broken and missing files" On
-OPTIONS+=	PORTCONFIG "Run common make targets on several ports" On
-OPTIONS+=	RCSTART "Use rc scripts based on PROVIDE" On
+COMMENT=	A collection of administration scripts
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
 NO_BUILD=	yes
 MANCOMPRESSED=	no
 
-MAN1=		bsdadminscripts.1
+.if defined(NOPORTDOCS)
+NOPORTDOCS=	-nodoc
+.else
+MAN1=		bsdadminscripts.1 \
+		rcstart.1 \
+		portconfig.1 \
+		buildflags.mk.1 buildflags.conf.1 buildflags.awk.1 \
+		pkg_validate.1 \
+		pkg_libchk.1
 
-RC_SCRIPTS=	start stop restart status onestart onestop onerestart onestatus
-PORT_SCRIPTS=	config build clean fetch package \
+RC_SCRIPTS=	stop restart status onestart onestop onerestart onestatus
+PORT_SCRIPTS=	build clean fetch package \
 		config-recursive fetch-recursive
-BUILDFLAGS_SCRIPTS=	buildflags.awk
-BUILDFLAGS_FILES=	buildflags.mk
-BUILDFLAGS_ETC=	buildflags.conf.sample
-
-.include <bsd.port.pre.mk>
-
-.if !defined(WITHOUT_RCSTART)
-PLIST_FILES+=	${RC_SCRIPTS:S,^,sbin/rc,}
-MAN1+=		rcstart.1
-MLINKS+=	${RC_SCRIPTS:Nstart:S,^,rc,:S,$,.1,:S,^,rcstart.1 ,}
-.endif
-
-.if !defined(WITHOUT_PORTCONFIG)
-PLIST_FILES+=	${PORT_SCRIPTS:S,^,sbin/port,}
-MAN1+=		portconfig.1
-MLINKS+=	${PORT_SCRIPTS:Nconfig:S,^,port,:S,$,.1,:S,^,portconfig.1 ,}
-.endif
-
-.if !defined(WITHOUT_BUILDFLAGS)
-PLIST_FILES+=	${BUILDFLAGS_FILES:S,^,${DATADIR_REL}/,}
-PLIST_FILES+=	${BUILDFLAGS_SCRIPTS:S,^,${DATADIR_REL}/,}
-ETC_FILES+=	${BUILDFLAGS_ETC}
-PLIST_DIRS+=	${DATADIR_REL}
-MAN1+=		buildflags.mk.1 buildflags.conf.1 buildflags.awk.1
-.endif
-
-.if !defined(WITHOUT_PKG_VALIDATE)
-PLIST_FILES+=	sbin/pkg_validate
-MAN1+=		pkg_validate.1
-.endif
-
-.if !defined(WITHOUT_PKG_VALIDATE)
-PLIST_FILES+=	sbin/pkg_libchk
-MAN1+=		pkg_libchk.1
+MLINKS+=	${RC_SCRIPTS:S,^,rc,:S,$,.1,:S,^,rcstart.1 ,} \
+		${PORT_SCRIPTS:S,^,port,:S,$,.1,:S,^,portconfig.1 ,}
 .endif
 
-PLIST_FILES+=	${ETC_FILES:S,^,etc/,}
+plist: patch
+	@cd ${WRKSRC}; ./list.sh -nodoc > ${PLIST}
+	@${ECHO} "@dirrm ${DATADIR_REL}" >> ${PLIST}
 
 do-install:
-.if !defined(WITHOUT_RCSTART)
-	@${ECHO_MSG} "===>  Installing rcstart."
-	@${INSTALL_SCRIPT} ${WRKSRC}/rcstart ${PREFIX}/sbin/
-.for _link in ${RC_SCRIPTS:Nstart}
-	@${LN} ${PREFIX}/sbin/rcstart ${PREFIX}/sbin/rc${_link}
-.endfor
-.endif
-.if !defined(WITHOUT_PORTCONFIG)
-	@${ECHO_MSG} "===>  Installing portconfig."
-	@${INSTALL_SCRIPT} ${WRKSRC}/portconfig ${PREFIX}/sbin/
-.for _link in ${PORT_SCRIPTS:Nconfig}
-	@${LN} ${PREFIX}/sbin/portconfig ${PREFIX}/sbin/port${_link}
-.endfor
-.endif
-.if !defined(WITHOUT_BUILDFLAGS)
-	@${ECHO_MSG} "===>  Installing buildflags."
-	@${MKDIR} ${DATADIR}
-.for _file in ${BUILDFLAGS_FILES}
-	@${INSTALL_DATA} ${WRKSRC}/${_file} ${DATADIR}
-.endfor
-.for _file in ${BUILDFLAGS_SCRIPTS}
-	@${INSTALL_SCRIPT} ${WRKSRC}/${_file} ${DATADIR}
-.endfor
-.endif
-.if !defined(WITHOUT_PKG_LIBCHK)
-	@${ECHO_MSG} "===>  Installing pkg_libchk."
-	@${INSTALL_SCRIPT} ${WRKSRC}/pkg_libchk ${PREFIX}/sbin/
-.endif
-.if !defined(WITHOUT_PKG_VALIDATE)
-	@${ECHO_MSG} "===>  Installing pkg_validate."
-	@${INSTALL_SCRIPT} ${WRKSRC}/pkg_validate ${PREFIX}/sbin/
-.endif
-.if defined(ETC_FILES)
-	@${ECHO_MSG} "===>  Installing configuration samples."
-.for _conf in ${ETC_FILES}
-	@${INSTALL_DATA} ${WRKSRC}/${_conf} ${PREFIX}/etc
-.endfor
-.endif
-.if defined(NOPORTDOCS)
-.undef MAN1
-.undef MLINKS
-.else
-	@${ECHO_MSG} "===>  Installing manual pages."
-.for _manpage in ${MAN1}
-	@${INSTALL_MAN} ${WRKSRC}/${_manpage} ${MANPREFIX}/man/man1/
-.endfor
-.endif
-
-message:
-	@${CAT} ${PKGMESSAGE}
-
-post-install: message
-	@${DO_NADA}
+	@cd ${WRKSRC}; ./install.sh \
+		-prefix=${PREFIX} -ports=${PORTSDIR} ${NOPORTDOCS}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -Pur ports/sysutils/bsdadminscripts.orig/distinfo ports/sysutils/bsdadminscripts/distinfo
--- ports/sysutils/bsdadminscripts.orig/distinfo	2008-03-31 20:43:12.000000000 +0200
+++ ports/sysutils/bsdadminscripts/distinfo	2008-04-13 15:58:28.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (bsdadminscripts-4.4.tar.gz) = ed213ef7b39f5792e4e31a8acd38b8f0
-SHA256 (bsdadminscripts-4.4.tar.gz) = 0d523d5bee4b9dbbb4f7d8d5bfd5396b5bf9dee99372d3dbcdc789068d03ec67
-SIZE (bsdadminscripts-4.4.tar.gz) = 23296
+MD5 (bsdadminscripts-4.4.2.tar.gz) = 8905f98f5c54fd557995a8f7ff7665d6
+SHA256 (bsdadminscripts-4.4.2.tar.gz) = b75dbfc960b2aae92d403c8078f3c942231e3994a6547fb12fc432a11d4c9a85
+SIZE (bsdadminscripts-4.4.2.tar.gz) = 24319
Only in ports/sysutils/bsdadminscripts.orig: pkg-message
diff -Pur ports/sysutils/bsdadminscripts.orig/pkg-plist ports/sysutils/bsdadminscripts/pkg-plist
--- ports/sysutils/bsdadminscripts.orig/pkg-plist	1970-01-01 01:00:00.000000000 +0100
+++ ports/sysutils/bsdadminscripts/pkg-plist	2008-04-18 22:04:43.000000000 +0200
@@ -0,0 +1,21 @@
+share/bsdadminscripts/buildflags.awk
+etc/buildflags.conf.sample
+share/bsdadminscripts/buildflags.mk
+sbin/pkg_libchk
+sbin/pkg_validate
+sbin/portconfig
+sbin/rcstart
+sbin/rcstatus
+sbin/rcstop
+sbin/rcrestart
+sbin/rconestart
+sbin/rconestatus
+sbin/rconestop
+sbin/rconerestart
+sbin/portbuild
+sbin/portclean
+sbin/portfetch
+sbin/portpackage
+sbin/portconfig-recursive
+sbin/portfetch-recursive
+@dirrm share/bsdadminscripts
Comment 6 dfilter service freebsd_committer 2008-05-13 00:21:27 UTC
edwin       2008-05-12 23:21:22 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bsdadminscripts Makefile distinfo 
  Added files:
    sysutils/bsdadminscripts pkg-plist 
  Log:
  Update to 4.4.2
  
  PR:             ports/122727
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de>
  
  Revision  Changes    Path
  1.17      +21 -100   ports/sysutils/bsdadminscripts/Makefile
  1.16      +3 -3      ports/sysutils/bsdadminscripts/distinfo
  1.1       +21 -0     ports/sysutils/bsdadminscripts/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Edwin Groothuis freebsd_committer 2008-05-13 00:21:32 UTC
State Changed
From-To: open->closed

Committed, thanks!